Liferay.Loader.define("layout-admin-web@3.0.125/js/DisplayPageManagementToolbarDefaultEventHandler.es", ['module', 'exports', 'require', 'frontend-js-web', 'frontend-js-metal-web$metal-state', './modal/openDisplayPageModal.es'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = void 0;

  var _frontendJsWeb = require("frontend-js-web");

  var _metalState = require("frontend-js-metal-web$metal-state");

  var _openDisplayPageModal = require("./modal/openDisplayPageModal.es");

  function _typeof(obj) {
    "@babel/helpers - typeof";
    if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
      _typeof = function _typeof(obj) {
        return typeof obj;
      };
    } else {
      _typeof = function _typeof(obj) {
        return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
      };
    }return _typeof(obj);
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  function _createClass(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
  }

  function _possibleConstructorReturn(self, call) {
    if (call && (_typeof(call) === "object" || typeof call === "function")) {
      return call;
    }return _assertThisInitialized(self);
  }

  function _assertThisInitialized(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }return self;
  }

  function _getPrototypeOf(o) {
    _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };return _getPrototypeOf(o);
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;return o;
    };return _setPrototypeOf(o, p);
  }

  var DisplayPageManagementToolbarDefaultEventHandler = /*#__PURE__*/function (_DefaultEventHandler) {
    _inherits(DisplayPageManagementToolbarDefaultEventHandler, _DefaultEventHandler);

    function DisplayPageManagementToolbarDefaultEventHandler() {
      _classCallCheck(this, DisplayPageManagementToolbarDefaultEventHandler);

      return _possibleConstructorReturn(this, _getPrototypeOf(DisplayPageManagementToolbarDefaultEventHandler).apply(this, arguments));
    }

    _createClass(DisplayPageManagementToolbarDefaultEventHandler, [{
      key: "addDisplayPage",
      value: function addDisplayPage(itemData) {
        (0, _openDisplayPageModal.openDisplayPageModal)({
          formSubmitURL: itemData.addDisplayPageURL,
          mappingTypes: itemData.mappingTypes,
          namespace: this.namespace,
          spritemap: this.spritemap,
          title: Liferay.Language.get('add-display-page-template')
        });
      }
    }, {
      key: "deleteSelectedDisplayPages",
      value: function deleteSelectedDisplayPages() {
        if (confirm(Liferay.Language.get('are-you-sure-you-want-to-delete-this'))) {
          submitForm(this.one('#fm'));
        }
      }
    }]);

    return DisplayPageManagementToolbarDefaultEventHandler;
  }(_frontendJsWeb.DefaultEventHandler);

  DisplayPageManagementToolbarDefaultEventHandler.STATE = {
    spritemap: _metalState.Config.string()
  };
  var _default = DisplayPageManagementToolbarDefaultEventHandler;
  exports["default"] = _default;
  //# sourceMappingURL=DisplayPageManagementToolbarDefaultEventHandler.es.js.map
});
//# sourceMappingURL=DisplayPageManagementToolbarDefaultEventHandler.es.js.map