Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/actions/saveChanges.es", ['module', 'exports', 'require', './actions.es'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.disableSavingChangesStatusAction = disableSavingChangesStatusAction;
  exports.enableSavingChangesStatusAction = enableSavingChangesStatusAction;
  exports.updateLastSaveDateAction = updateLastSaveDateAction;

  var _actions = require("./actions.es");

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */

  /**
   * @return {object}
   */
  function disableSavingChangesStatusAction() {
    return {
      savingChanges: false,
      type: _actions.UPDATE_SAVING_CHANGES_STATUS
    };
  }
  /**
   * @return {object}
   */

  function enableSavingChangesStatusAction() {
    return {
      savingChanges: true,
      type: _actions.UPDATE_SAVING_CHANGES_STATUS
    };
  }
  /**
   * @param {Date} [date=new Date()]
   * @return {object}
   */

  function updateLastSaveDateAction() {
    var date = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : new Date();
    return {
      lastSaveDate: date,
      type: _actions.UPDATE_LAST_SAVE_DATE
    };
  }
  //# sourceMappingURL=saveChanges.es.js.map
});
//# sourceMappingURL=saveChanges.es.js.map