Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/components/common/UserIcon.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/sticker', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = exports.UserIcon = void 0;

  var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

  var _sticker = _interopRequireDefault(require("@frontend-taglib-clay$clayui/sticker"));

  var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

  var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */

  /* eslint no-unused-vars: "warn" */
  var UserIcon = function UserIcon(props) {
    var stickerColor = parseInt(props.userId, 10) % 10;
    return _react["default"].createElement(_sticker["default"], {
      className: "flex-shrink-0 sticker-use-icon user-icon-color-".concat(stickerColor),
      displayType: "secondary",
      shape: "circle",
      size: "lg"
    }, props.portraitURL ? _react["default"].createElement("div", {
      className: "sticker-overlay"
    }, _react["default"].createElement("img", {
      alt: "".concat(props.fullName, "."),
      className: "sticker-img",
      src: props.portraitURL
    })) : _react["default"].createElement(_icon["default"], {
      symbol: "user"
    }));
  };

  exports.UserIcon = UserIcon;
  UserIcon.defaultProps = {
    fullName: '',
    portraitURL: ''
  };
  var _default = UserIcon;
  exports["default"] = _default;
  //# sourceMappingURL=UserIcon.es.js.map
});
//# sourceMappingURL=UserIcon.es.js.map