Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/components/floating_toolbar/common/FloatingToolbarColorPicker.soy", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = exports.templates = exports.comliferaylayoutcontentpageeditorwebFloatingToolbarColorPicker = void 0;

  var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

  var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  function _typeof(obj) {
    "@babel/helpers - typeof";
    if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
      _typeof = function _typeof(obj) {
        return typeof obj;
      };
    } else {
      _typeof = function _typeof(obj) {
        return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
      };
    }return _typeof(obj);
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _possibleConstructorReturn(self, call) {
    if (call && (_typeof(call) === "object" || typeof call === "function")) {
      return call;
    }return _assertThisInitialized(self);
  }

  function _assertThisInitialized(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }return self;
  }

  function _getPrototypeOf(o) {
    _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };return _getPrototypeOf(o);
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;return o;
    };return _setPrototypeOf(o, p);
  }

  var templates;
  exports.templates = templates;
  goog.loadModule(function (exports) {
    var soy = goog.require('soy');

    goog.require('soydata');

    // This file was automatically generated from FloatingToolbarColorPicker.soy.
    // Please don't edit this file by hand.

    /**
     * @fileoverview Templates in namespace com.liferay.layout.content.page.editor.web.FloatingToolbarColorPicker.
     * @public
     */

    goog.module('com.liferay.layout.content.page.editor.web.FloatingToolbarColorPicker.incrementaldom');

    goog.require('goog.soy.data.SanitizedContent');

    var incrementalDom = goog.require('incrementaldom');

    goog.require('soy.asserts');

    goog.require('soy.idom');

    /**
     * @param {{
     *  colors: !Array<!goog.soy.data.SanitizedContent|string>,
     *  id: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  selectedColor: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  _handleColorButtonClick: (*|null|undefined)
     * }} opt_data
     * @param {Object<string, *>=} opt_ijData
     * @param {Object<string, *>=} opt_ijData_deprecated
     * @return {void}
     * @suppress {checkTypes}
     */

    function $render(opt_data, opt_ijData, opt_ijData_deprecated) {
      opt_ijData = opt_ijData_deprecated || opt_ijData;
      /** @type {!Array<!goog.soy.data.SanitizedContent|string>} */

      var colors = soy.asserts.assertType(goog.isArray(opt_data.colors), 'colors', opt_data.colors, '!Array<!goog.soy.data.SanitizedContent|string>');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var id = soy.asserts.assertType(opt_data.id == null || goog.isString(opt_data.id) || opt_data.id instanceof goog.soy.data.SanitizedContent, 'id', opt_data.id, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var selectedColor = soy.asserts.assertType(opt_data.selectedColor == null || goog.isString(opt_data.selectedColor) || opt_data.selectedColor instanceof goog.soy.data.SanitizedContent, 'selectedColor', opt_data.selectedColor, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {*|null|undefined} */

      var _handleColorButtonClick = opt_data._handleColorButtonClick;

      incrementalDom.elementOpenStart('div');
      (function attributes__soy4065() {
        incrementalDom.attr('class', 'palette-container');

        if (id) {
          incrementalDom.attr('id', id);
        }
      })();
      incrementalDom.elementOpenEnd();
      incrementalDom.elementOpenStart('ul');
      incrementalDom.attr('class', 'list-unstyled palette-items-container');
      incrementalDom.elementOpenEnd();
      var color4097List = colors;
      var color4097ListLen = color4097List.length;

      for (var color4097Index = 0; color4097Index < color4097ListLen; color4097Index++) {
        var color4097Data = color4097List[color4097Index];
        var paletteItemClasses__soy4077 = '';
        paletteItemClasses__soy4077 += 'palette-item';
        paletteItemClasses__soy4077 += color4097Data == selectedColor ? ' palette-item-selected' : '';
        incrementalDom.elementOpenStart('li');
        incrementalDom.attr('class', paletteItemClasses__soy4077);
        incrementalDom.elementOpenEnd();
        var wrapperClasses__soy4086 = '';
        wrapperClasses__soy4086 += 'bg-';
        wrapperClasses__soy4086 += color4097Data;
        wrapperClasses__soy4086 += ' btn btn-block btn-sm btn-unstyled palette-item-inner p-1 rounded-circle';
        incrementalDom.elementOpenStart('button');
        incrementalDom.attr('class', wrapperClasses__soy4086);
        incrementalDom.attr('data-background-color-css-class', color4097Data);
        incrementalDom.attr('data-onclick', _handleColorButtonClick);
        incrementalDom.attr('type', 'button');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('button');
        incrementalDom.elementClose('li');
      }

      incrementalDom.elementClose('ul');
      incrementalDom.elementClose('div');
    }

    exports.render = $render;
    /**
     * @typedef {{
     *  colors: !Array<!goog.soy.data.SanitizedContent|string>,
     *  id: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  selectedColor: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  _handleColorButtonClick: (*|null|undefined)
     * }}
     */

    $render.Params;

    if (goog.DEBUG) {
      $render.soyTemplateName = 'com.liferay.layout.content.page.editor.web.FloatingToolbarColorPicker.render';
    }

    exports.render.params = ["colors", "id", "selectedColor", "_handleColorButtonClick"];
    exports.render.types = {
      "colors": "list<string>",
      "id": "string",
      "selectedColor": "string",
      "_handleColorButtonClick": "any"
    };
    exports.templates = templates = exports;
    return exports;
  });

  var comliferaylayoutcontentpageeditorwebFloatingToolbarColorPicker = /*#__PURE__*/function (_Component) {
    _inherits(comliferaylayoutcontentpageeditorwebFloatingToolbarColorPicker, _Component);

    function comliferaylayoutcontentpageeditorwebFloatingToolbarColorPicker() {
      _classCallCheck(this, comliferaylayoutcontentpageeditorwebFloatingToolbarColorPicker);

      return _possibleConstructorReturn(this, _getPrototypeOf(comliferaylayoutcontentpageeditorwebFloatingToolbarColorPicker).apply(this, arguments));
    }

    return comliferaylayoutcontentpageeditorwebFloatingToolbarColorPicker;
  }(_metalComponent["default"]);

  exports.comliferaylayoutcontentpageeditorwebFloatingToolbarColorPicker = comliferaylayoutcontentpageeditorwebFloatingToolbarColorPicker;

  _metalSoy["default"].register(comliferaylayoutcontentpageeditorwebFloatingToolbarColorPicker, templates);

  var _default = templates;
  /* jshint ignore:end */

  exports["default"] = _default;
  //# sourceMappingURL=FloatingToolbarColorPicker.soy.js.map
});
//# sourceMappingURL=FloatingToolbarColorPicker.soy.js.map