Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/components/floating_toolbar/fragment_configuration/field_types/SelectField.soy", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = exports.templates = exports.comliferaylayoutcontentpageeditorwebSelectField = void 0;

  var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

  var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  function _typeof(obj) {
    "@babel/helpers - typeof";
    if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
      _typeof = function _typeof(obj) {
        return typeof obj;
      };
    } else {
      _typeof = function _typeof(obj) {
        return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
      };
    }return _typeof(obj);
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _possibleConstructorReturn(self, call) {
    if (call && (_typeof(call) === "object" || typeof call === "function")) {
      return call;
    }return _assertThisInitialized(self);
  }

  function _assertThisInitialized(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }return self;
  }

  function _getPrototypeOf(o) {
    _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };return _getPrototypeOf(o);
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;return o;
    };return _setPrototypeOf(o, p);
  }

  var templates;
  exports.templates = templates;
  goog.loadModule(function (exports) {
    var soy = goog.require('soy');

    goog.require('soydata');

    // This file was automatically generated from SelectField.soy.
    // Please don't edit this file by hand.

    /**
     * @fileoverview Templates in namespace com.liferay.layout.content.page.editor.web.SelectField.
     * @public
     */

    goog.module('com.liferay.layout.content.page.editor.web.SelectField.incrementaldom');

    goog.require('goog.soy.data.SanitizedContent');

    var incrementalDom = goog.require('incrementaldom');

    goog.require('soy.asserts');

    var soyIdom = goog.require('soy.idom');
    /**
     * @param {{
     *  field: {label: (!goog.soy.data.SanitizedContent|string), name: (!goog.soy.data.SanitizedContent|string), type: (!goog.soy.data.SanitizedContent|string), typeOptions: (?)},
     *  selectedOption: (*|null|undefined),
     *  _handleSelectValueChanged: (*|null|undefined)
     * }} opt_data
     * @param {Object<string, *>=} opt_ijData
     * @param {Object<string, *>=} opt_ijData_deprecated
     * @return {void}
     * @suppress {checkTypes}
     */

    function $render(opt_data, opt_ijData, opt_ijData_deprecated) {
      opt_ijData = opt_ijData_deprecated || opt_ijData;
      /** @type {{label: (!goog.soy.data.SanitizedContent|string), name: (!goog.soy.data.SanitizedContent|string), type: (!goog.soy.data.SanitizedContent|string), typeOptions: (?)}} */

      var field = soy.asserts.assertType(goog.isObject(opt_data.field), 'field', opt_data.field, '{label: (!goog.soy.data.SanitizedContent|string), name: (!goog.soy.data.SanitizedContent|string), type: (!goog.soy.data.SanitizedContent|string), typeOptions: (?)}');
      /** @type {*|null|undefined} */

      var selectedOption = opt_data.selectedOption;
      /** @type {*|null|undefined} */

      var _handleSelectValueChanged = opt_data._handleSelectValueChanged;

      if (field.typeOptions && field.typeOptions.validValues) {
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'form-group');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('label');
        incrementalDom.attr('for', field.name);
        incrementalDom.elementOpenEnd();
        soyIdom.print(field.label);
        incrementalDom.elementClose('label');
        incrementalDom.elementOpenStart('select');
        incrementalDom.attr('class', 'form-control form-control-sm');
        incrementalDom.attr('data-onchange', _handleSelectValueChanged);
        incrementalDom.attr('data-field-type', field.type);
        incrementalDom.attr('id', field.name);
        incrementalDom.elementOpenEnd();
        var option9333List = field.typeOptions.validValues;
        var option9333ListLen = option9333List.length;

        for (var option9333Index = 0; option9333Index < option9333ListLen; option9333Index++) {
          var option9333Data = option9333List[option9333Index];

          var optionAttributes__soy9320 = function optionAttributes__soy9320() {
            incrementalDom.attr('value', option9333Data.value);

            if (selectedOption == option9333Data.value) {
              incrementalDom.attr('selected', '');
            }
          };

          incrementalDom.elementOpenStart('option');
          optionAttributes__soy9320();
          incrementalDom.elementOpenEnd();
          soyIdom.print(option9333Data.label);
          incrementalDom.elementClose('option');
        }

        incrementalDom.elementClose('select');
        incrementalDom.elementClose('div');
      }
    }

    exports.render = $render;
    /**
     * @typedef {{
     *  field: {label: (!goog.soy.data.SanitizedContent|string), name: (!goog.soy.data.SanitizedContent|string), type: (!goog.soy.data.SanitizedContent|string), typeOptions: (?)},
     *  selectedOption: (*|null|undefined),
     *  _handleSelectValueChanged: (*|null|undefined)
     * }}
     */

    $render.Params;

    if (goog.DEBUG) {
      $render.soyTemplateName = 'com.liferay.layout.content.page.editor.web.SelectField.render';
    }

    exports.render.params = ["field", "selectedOption", "_handleSelectValueChanged"];
    exports.render.types = {
      "field": "[\n\t\tname: string,\n\t\tlabel: string,\n\t\ttype: string,\n\t\ttypeOptions: ?\n\t]",
      "selectedOption": "any",
      "_handleSelectValueChanged": "any"
    };
    exports.templates = templates = exports;
    return exports;
  });

  var comliferaylayoutcontentpageeditorwebSelectField = /*#__PURE__*/function (_Component) {
    _inherits(comliferaylayoutcontentpageeditorwebSelectField, _Component);

    function comliferaylayoutcontentpageeditorwebSelectField() {
      _classCallCheck(this, comliferaylayoutcontentpageeditorwebSelectField);

      return _possibleConstructorReturn(this, _getPrototypeOf(comliferaylayoutcontentpageeditorwebSelectField).apply(this, arguments));
    }

    return comliferaylayoutcontentpageeditorwebSelectField;
  }(_metalComponent["default"]);

  exports.comliferaylayoutcontentpageeditorwebSelectField = comliferaylayoutcontentpageeditorwebSelectField;

  _metalSoy["default"].register(comliferaylayoutcontentpageeditorwebSelectField, templates);

  var _default = templates;
  /* jshint ignore:end */

  exports["default"] = _default;
  //# sourceMappingURL=SelectField.soy.js.map
});
//# sourceMappingURL=SelectField.soy.js.map