Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/components/fragment_processors/FragmentProcessors.es", ['module', 'exports', 'require', './EditableBackgroundImageProcessor.es', './EditableHTMLFragmentProcessor.es', './EditableImageFragmentProcessor.es', './EditableLinkFragmentProcessor.es', './EditableRichTextFragmentProcessor.es', './EditableTextFragmentProcessor.es'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = exports.FragmentProcessors = void 0;

  var _EditableBackgroundImageProcessor = _interopRequireDefault(require("./EditableBackgroundImageProcessor.es"));

  var _EditableHTMLFragmentProcessor = _interopRequireDefault(require("./EditableHTMLFragmentProcessor.es"));

  var _EditableImageFragmentProcessor = _interopRequireDefault(require("./EditableImageFragmentProcessor.es"));

  var _EditableLinkFragmentProcessor = _interopRequireDefault(require("./EditableLinkFragmentProcessor.es"));

  var _EditableRichTextFragmentProcessor = _interopRequireDefault(require("./EditableRichTextFragmentProcessor.es"));

  var _EditableTextFragmentProcessor = _interopRequireDefault(require("./EditableTextFragmentProcessor.es"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */
  var FragmentProcessors = {
    backgroundImage: {
      destroy: _EditableBackgroundImageProcessor["default"].destroy,
      getFloatingToolbarButtons: _EditableBackgroundImageProcessor["default"].getFloatingToolbarButtons,
      init: _EditableBackgroundImageProcessor["default"].init,
      render: _EditableBackgroundImageProcessor["default"].render
    },
    fallback: {
      destroy: _EditableRichTextFragmentProcessor["default"].destroy,
      getFloatingToolbarButtons: _EditableRichTextFragmentProcessor["default"].getFloatingToolbarButtons,
      init: _EditableRichTextFragmentProcessor["default"].init,
      render: _EditableRichTextFragmentProcessor["default"].render
    },
    html: {
      destroy: _EditableHTMLFragmentProcessor["default"].destroy,
      getFloatingToolbarButtons: _EditableHTMLFragmentProcessor["default"].getFloatingToolbarButtons,
      init: _EditableHTMLFragmentProcessor["default"].init,
      render: _EditableHTMLFragmentProcessor["default"].render
    },
    image: {
      destroy: _EditableImageFragmentProcessor["default"].destroy,
      getFloatingToolbarButtons: _EditableImageFragmentProcessor["default"].getFloatingToolbarButtons,
      init: _EditableImageFragmentProcessor["default"].init,
      render: _EditableImageFragmentProcessor["default"].render
    },
    link: {
      destroy: _EditableLinkFragmentProcessor["default"].destroy,
      getFloatingToolbarButtons: _EditableLinkFragmentProcessor["default"].getFloatingToolbarButtons,
      init: _EditableLinkFragmentProcessor["default"].init,
      render: _EditableLinkFragmentProcessor["default"].render
    },
    text: {
      destroy: _EditableTextFragmentProcessor["default"].destroy,
      getFloatingToolbarButtons: _EditableTextFragmentProcessor["default"].getFloatingToolbarButtons,
      init: _EditableTextFragmentProcessor["default"].init,
      render: _EditableTextFragmentProcessor["default"].render
    }
  };
  exports.FragmentProcessors = FragmentProcessors;
  var _default = FragmentProcessors;
  exports["default"] = _default;
  //# sourceMappingURL=FragmentProcessors.es.js.map
});
//# sourceMappingURL=FragmentProcessors.es.js.map