Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/components/sidebar/comments/ResolveButton.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/icon', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../../common/Loader.es'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = exports.ResolveButton = void 0;

  var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

  var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

  var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

  var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

  var _Loader = _interopRequireDefault(require("../../common/Loader.es"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */
  var ResolveButton = function ResolveButton(props) {
    var icon = _react["default"].createElement("span", {
      className: "lfr-portal-tooltip text-lowercase",
      "data-title": Liferay.Language.get('resolve')
    }, _react["default"].createElement(_icon["default"], {
      symbol: "check-circle"
    }));

    if (props.loading) {
      icon = _react["default"].createElement(_Loader["default"], null);
    } else if (props.resolved) {
      icon = _react["default"].createElement("span", {
        className: "lfr-portal-tooltip text-lowercase text-success",
        "data-title": Liferay.Language.get('reopen')
      }, _react["default"].createElement(_icon["default"], {
        symbol: "check-circle-full"
      }));
    }

    return _react["default"].createElement(_button["default"], {
      borderless: true,
      className: "flex-shrink-0",
      disabled: props.disabled || props.loading,
      displayType: "secondary",
      monospaced: true,
      onClick: props.onClick,
      outline: true,
      small: true
    }, icon);
  };

  exports.ResolveButton = ResolveButton;
  var _default = ResolveButton;
  exports["default"] = _default;
  //# sourceMappingURL=ResolveButton.es.js.map
});
//# sourceMappingURL=ResolveButton.es.js.map