Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/components/toolbar/FragmentsEditorToolbar.es", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy', 'frontend-js-metal-web$metal-state', './TranslationStatus.es', './SegmentsExperienceSelector.es', '../../actions/actions.es', '../../store/ConnectedComponent.es', '../../utils/FragmentsEditorUpdateUtils.es', './FragmentsEditorToolbar.soy'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = exports.FragmentsEditorToolbar = exports.ConnectedFragmentsEditorToolbar = void 0;

  var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

  var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

  var _metalState = require("frontend-js-metal-web$metal-state");

  require("./TranslationStatus.es");

  require("./SegmentsExperienceSelector.es");

  var _actions = require("../../actions/actions.es");

  var _ConnectedComponent = _interopRequireDefault(require("../../store/ConnectedComponent.es"));

  var _FragmentsEditorUpdateUtils = require("../../utils/FragmentsEditorUpdateUtils.es");

  var _FragmentsEditorToolbar = _interopRequireDefault(require("./FragmentsEditorToolbar.soy"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  function _typeof(obj) {
    "@babel/helpers - typeof";
    if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
      _typeof = function _typeof(obj) {
        return typeof obj;
      };
    } else {
      _typeof = function _typeof(obj) {
        return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
      };
    }return _typeof(obj);
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  function _createClass(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
  }

  function _possibleConstructorReturn(self, call) {
    if (call && (_typeof(call) === "object" || typeof call === "function")) {
      return call;
    }return _assertThisInitialized(self);
  }

  function _assertThisInitialized(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }return self;
  }

  function _getPrototypeOf(o) {
    _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };return _getPrototypeOf(o);
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;return o;
    };return _setPrototypeOf(o, p);
  }

  /**
   * FragmentsEditorToolbar
   * @review
   */
  var FragmentsEditorToolbar = /*#__PURE__*/function (_Component) {
    _inherits(FragmentsEditorToolbar, _Component);

    function FragmentsEditorToolbar() {
      _classCallCheck(this, FragmentsEditorToolbar);

      return _possibleConstructorReturn(this, _getPrototypeOf(FragmentsEditorToolbar).apply(this, arguments));
    }

    _createClass(FragmentsEditorToolbar, [{
      key: "prepareStateForRender",

      /**
       * @inheritdoc
       * @param {object} state
       * @review
       */
      value: function prepareStateForRender(state) {
        var nextState = state;

        if (state.lastSaveDate) {
          var lastSaveDate = Liferay.Language.get('draft-saved-at-x');
          nextState = (0, _FragmentsEditorUpdateUtils.setIn)(nextState, ['lastSaveDate'], lastSaveDate.replace('{0}', state.lastSaveDate));
        }

        return nextState;
      }
      /**
       * @inheritdoc
       * @review
       */

    }, {
      key: "created",
      value: function created() {
        this._handleWindowOffline = this._handleWindowOffline.bind(this);
        this._updateOnlineStatus = this._updateOnlineStatus.bind(this);
        window.addEventListener('offline', this._handleWindowOffline);
        window.addEventListener('online', this._updateOnlineStatus);
      }
      /**
       * @inheritdoc
       * @review
       */

    }, {
      key: "disposed",
      value: function disposed() {
        window.removeEventListener('offline', this._handleWindowOffline);
        window.removeEventListener('online', this._updateOnlineStatus);
      }
      /**
       * Handles discard draft form submit action.
       * @private
       * @review
       */

    }, {
      key: "_handleDiscardDraft",
      value: function _handleDiscardDraft(event) {
        if (!confirm(Liferay.Language.get('are-you-sure-you-want-to-discard-current-draft-and-apply-latest-published-changes'))) {
          event.preventDefault();
        }
      }
      /**
       * @private
       * @review
       */

    }, {
      key: "_handleToggleContextualSidebarButtonClick",
      value: function _handleToggleContextualSidebarButtonClick() {
        this.store.dispatch({
          type: _actions.TOGGLE_SIDEBAR
        });
      }
      /**
       * Starts checking if there is connection with Liferay Server
       * @private
       * @review
       */

    }, {
      key: "_handleWindowOffline",
      value: function _handleWindowOffline() {
        this._online = false;

        this._updateOnlineStatus();
      }
      /**
       * Pings Liferay Server and set's online status.
       * Instead of relying on window 'online' event, we use it to check our
       * connection with Liferay server.
       * @private
       * @review
       */

    }, {
      key: "_updateOnlineStatus",
      value: function _updateOnlineStatus() {
        var _this = this;

        var queryPing = function queryPing() {
          return setTimeout(function () {
            _this._updateOnlineStatus();
          }, 1000);
        };

        if (!this._online) {
          Liferay.Util.fetch('/image/user_portrait').then(function (response) {
            if (response.status < 400) {
              _this._online = true;
            } else {
              queryPing();
            }
          })["catch"](queryPing);
        }
      }
    }]);

    return FragmentsEditorToolbar;
  }(_metalComponent["default"]);

  exports.FragmentsEditorToolbar = FragmentsEditorToolbar;
  FragmentsEditorToolbar.STATE = {
    /**
     * If fragments editor is online
     * @default true
     * @instance
     * @memberof FragmentsEditorToolbar
     * @private
     * @review
     * @type {boolean}
     */
    _online: _metalState.Config.bool().internal().value(true)
  };
  var ConnectedFragmentsEditorToolbar = (0, _ConnectedComponent["default"])(FragmentsEditorToolbar, ['classPK', 'discardDraftRedirectURL', 'discardDraftURL', 'lastSaveDate', 'portletNamespace', 'publishURL', 'redirectURL', 'savingChanges', 'selectedSidebarPanelId', 'spritemap']);
  exports.ConnectedFragmentsEditorToolbar = ConnectedFragmentsEditorToolbar;

  _metalSoy["default"].register(ConnectedFragmentsEditorToolbar, _FragmentsEditorToolbar["default"]);

  var _default = ConnectedFragmentsEditorToolbar;
  exports["default"] = _default;
  //# sourceMappingURL=FragmentsEditorToolbar.es.js.map
});
//# sourceMappingURL=FragmentsEditorToolbar.es.js.map