Liferay.Loader.define('layout-content-page-editor-web@1.0.117/js/utils/prefixSegmentsExperienceId.es', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.prefixSegmentsExperienceId = prefixSegmentsExperienceId;

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */

  /**
   * Returns a prefixed id
   * if the value is not undefined
   *
   * @export
   * @param {string|number} [segmentsExperienceId]
   * @returns {string}
   */
  function prefixSegmentsExperienceId(segmentsExperienceId) {
    return segmentsExperienceId === undefined || segmentsExperienceId === '' ? undefined : SEGMENT_EXPERIENCE_ID_PREFIX + segmentsExperienceId;
  }

  var SEGMENT_EXPERIENCE_ID_PREFIX = 'segments-experience-id-';
  //# sourceMappingURL=prefixSegmentsExperienceId.es.js.map
});
//# sourceMappingURL=prefixSegmentsExperienceId.es.js.map