Liferay.Loader.define("frontend-js-web@3.0.52/liferay/global.es", ['module', 'exports', 'require', 'frontend-js-web$lodash.escape', 'frontend-js-web$lodash.groupby', 'frontend-js-web$lodash.isequal', 'frontend-js-web$lodash.unescape', './component.es', './portlet/portlet.es', './side_navigation.es', './util/address/get_countries.es', './util/address/get_regions.es', './util/fetch.es', './util/form/get_form_element.es', './util/form/object_to_form_data.es', './util/form/post_form.es', './util/form/set_form_values.es', './util/format_storage.es', './util/format_xml.es', './util/get_crop_region.es', './util/get_portlet_namespace.es', './util/navigate.es', './util/ns.es', './util/object_to_url_search_params.es', './util/portlet_url/create_action_url.es', './util/portlet_url/create_portlet_url.es', './util/portlet_url/create_render_url.es', './util/portlet_url/create_resource_url.es', './util/session.es', './util/to_char_code.es'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  Object.defineProperty(exports, "portlet", {
    enumerable: true,
    get: function get() {
      return _portlet["default"];
    }
  });

  var _lodash = _interopRequireDefault(require("frontend-js-web$lodash.escape"));

  var _lodash2 = _interopRequireDefault(require("frontend-js-web$lodash.groupby"));

  var _lodash3 = _interopRequireDefault(require("frontend-js-web$lodash.isequal"));

  var _lodash4 = _interopRequireDefault(require("frontend-js-web$lodash.unescape"));

  var _component = require("./component.es");

  var _portlet = _interopRequireDefault(require("./portlet/portlet.es"));

  var _side_navigation = _interopRequireDefault(require("./side_navigation.es"));

  var _get_countries = _interopRequireDefault(require("./util/address/get_countries.es"));

  var _get_regions = _interopRequireDefault(require("./util/address/get_regions.es"));

  var _fetch = _interopRequireDefault(require("./util/fetch.es"));

  var _get_form_element = _interopRequireDefault(require("./util/form/get_form_element.es"));

  var _object_to_form_data = _interopRequireDefault(require("./util/form/object_to_form_data.es"));

  var _post_form = _interopRequireDefault(require("./util/form/post_form.es"));

  var _set_form_values = _interopRequireDefault(require("./util/form/set_form_values.es"));

  var _format_storage = _interopRequireDefault(require("./util/format_storage.es"));

  var _format_xml = _interopRequireDefault(require("./util/format_xml.es"));

  var _get_crop_region = _interopRequireDefault(require("./util/get_crop_region.es"));

  var _get_portlet_namespace = _interopRequireDefault(require("./util/get_portlet_namespace.es"));

  var _navigate = _interopRequireDefault(require("./util/navigate.es"));

  var _ns = _interopRequireDefault(require("./util/ns.es"));

  var _object_to_url_search_params = _interopRequireDefault(require("./util/object_to_url_search_params.es"));

  var _create_action_url = _interopRequireDefault(require("./util/portlet_url/create_action_url.es"));

  var _create_portlet_url = _interopRequireDefault(require("./util/portlet_url/create_portlet_url.es"));

  var _create_render_url = _interopRequireDefault(require("./util/portlet_url/create_render_url.es"));

  var _create_resource_url = _interopRequireDefault(require("./util/portlet_url/create_resource_url.es"));

  var _session = require("./util/session.es");

  var _to_char_code = _interopRequireDefault(require("./util/to_char_code.es"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */
  Liferay.component = _component.component;
  Liferay.componentReady = _component.componentReady;
  Liferay.destroyComponent = _component.destroyComponent;
  Liferay.destroyComponents = _component.destroyComponents;
  Liferay.destroyUnfulfilledPromises = _component.destroyUnfulfilledPromises;
  Liferay.getComponentCache = _component.getComponentCache;
  Liferay.initComponentCache = _component.initComponentCache;
  Liferay.Address = {
    getCountries: _get_countries["default"],
    getRegions: _get_regions["default"]
  };
  Liferay.SideNavigation = _side_navigation["default"];
  Liferay.Util.escape = _lodash["default"];
  Liferay.Util.fetch = _fetch["default"];
  Liferay.Util.formatStorage = _format_storage["default"];
  Liferay.Util.formatXML = _format_xml["default"];
  Liferay.Util.getCropRegion = _get_crop_region["default"];
  Liferay.Util.getFormElement = _get_form_element["default"];
  Liferay.Util.getPortletNamespace = _get_portlet_namespace["default"];
  Liferay.Util.groupBy = _lodash2["default"];
  Liferay.Util.isEqual = _lodash3["default"];
  Liferay.Util.navigate = _navigate["default"];
  Liferay.Util.ns = _ns["default"];
  Liferay.Util.objectToFormData = _object_to_form_data["default"];
  Liferay.Util.objectToURLSearchParams = _object_to_url_search_params["default"];
  Liferay.Util.PortletURL = {
    createActionURL: _create_action_url["default"],
    createPortletURL: _create_portlet_url["default"],
    createRenderURL: _create_render_url["default"],
    createResourceURL: _create_resource_url["default"]
  };
  Liferay.Util.postForm = _post_form["default"];
  Liferay.Util.setFormValues = _set_form_values["default"];
  Liferay.Util.toCharCode = _to_char_code["default"];

  Liferay.Util.openToast = function () {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    Liferay.Loader.require('frontend-js-web/liferay/toast/commands/OpenToast.es', function (commands) {
      commands.openToast.apply(commands, args);
    });
  };

  Liferay.Util.Session = {
    get: _session.getSessionValue,
    set: _session.setSessionValue
  };
  Liferay.Util.unescape = _lodash4["default"];
  //# sourceMappingURL=global.es.js.map
});
//# sourceMappingURL=global.es.js.map