Liferay.Loader.define("frontend-js-web@3.0.52/liferay/modal/components/SimpleInputModal.soy", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = exports.templates = exports.liferayfrontendSimpleInputModal = void 0;

  var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

  var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  function _typeof(obj) {
    "@babel/helpers - typeof";
    if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
      _typeof = function _typeof(obj) {
        return typeof obj;
      };
    } else {
      _typeof = function _typeof(obj) {
        return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
      };
    }return _typeof(obj);
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _possibleConstructorReturn(self, call) {
    if (call && (_typeof(call) === "object" || typeof call === "function")) {
      return call;
    }return _assertThisInitialized(self);
  }

  function _assertThisInitialized(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }return self;
  }

  function _getPrototypeOf(o) {
    _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };return _getPrototypeOf(o);
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;return o;
    };return _setPrototypeOf(o, p);
  }

  var templates;
  exports.templates = templates;
  goog.loadModule(function (exports) {
    var soy = goog.require('soy');

    goog.require('soydata');

    // This file was automatically generated from SimpleInputModal.soy.
    // Please don't edit this file by hand.

    /**
     * @fileoverview Templates in namespace liferay.frontend.SimpleInputModal.
     * @public
     */

    goog.module('liferay.frontend.SimpleInputModal.incrementaldom');

    goog.require('goog.soy.data.SanitizedContent');

    goog.require('goog.string');

    var incrementalDom = goog.require('incrementaldom');

    goog.require('soy.asserts');

    var soyIdom = goog.require('soy.idom');

    var $templateAlias2 = _metalSoy["default"].getTemplate('ClayAlert.incrementaldom', 'render');

    var $templateAlias1 = _metalSoy["default"].getTemplate('liferay.frontend.Modal.incrementaldom', 'render');
    /**
     * @param {{
     *  dialogTitle: (!goog.soy.data.SanitizedContent|string),
     *  fixFormData: boolean,
     *  formSubmitURL: (!goog.soy.data.SanitizedContent|string),
     *  mainFieldLabel: function(),
     *  mainFieldName: (!goog.soy.data.SanitizedContent|string),
     *  namespace: (!goog.soy.data.SanitizedContent|string),
     *  spritemap: (!goog.soy.data.SanitizedContent|string),
     *  _errorMessage: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  _handleCancelButtonClick: (*|null|undefined),
     *  _handleFormSubmit: (*|null|undefined),
     *  _handleModalVisibleChanged: (*|null|undefined),
     *  _loadingResponse: (boolean|null|undefined),
     *  alert: (null|undefined|{message: (!goog.soy.data.SanitizedContent|string), style: (!goog.soy.data.SanitizedContent|string), title: (!goog.soy.data.SanitizedContent|string)}),
     *  checkboxFieldLabel: (function()|null|undefined),
     *  checkboxFieldName: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  checkboxFieldValue: (boolean|null|undefined),
     *  id: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  idFieldName: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  idFieldValue: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  mainFieldPlaceholder: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  mainFieldValue: (!goog.soy.data.SanitizedContent|null|string|undefined)
     * }} opt_data
     * @param {Object<string, *>=} opt_ijData
     * @param {Object<string, *>=} opt_ijData_deprecated
     * @return {void}
     * @suppress {checkTypes}
     */

    function $render(opt_data, opt_ijData, opt_ijData_deprecated) {
      opt_ijData = opt_ijData_deprecated || opt_ijData;
      var $$temp;
      /** @type {!goog.soy.data.SanitizedContent|string} */

      var dialogTitle = soy.asserts.assertType(goog.isString(opt_data.dialogTitle) || opt_data.dialogTitle instanceof goog.soy.data.SanitizedContent, 'dialogTitle', opt_data.dialogTitle, '!goog.soy.data.SanitizedContent|string');
      /** @type {boolean} */

      var fixFormData = soy.asserts.assertType(goog.isBoolean(opt_data.fixFormData) || opt_data.fixFormData === 1 || opt_data.fixFormData === 0, 'fixFormData', opt_data.fixFormData, 'boolean');
      /** @type {!goog.soy.data.SanitizedContent|string} */

      var formSubmitURL = soy.asserts.assertType(goog.isString(opt_data.formSubmitURL) || opt_data.formSubmitURL instanceof goog.soy.data.SanitizedContent, 'formSubmitURL', opt_data.formSubmitURL, '!goog.soy.data.SanitizedContent|string');
      /** @type {function()} */

      var mainFieldLabel = soy.asserts.assertType(goog.isFunction(opt_data.mainFieldLabel), 'mainFieldLabel', opt_data.mainFieldLabel, 'function()');
      /** @type {!goog.soy.data.SanitizedContent|string} */

      var mainFieldName = soy.asserts.assertType(goog.isString(opt_data.mainFieldName) || opt_data.mainFieldName instanceof goog.soy.data.SanitizedContent, 'mainFieldName', opt_data.mainFieldName, '!goog.soy.data.SanitizedContent|string');
      /** @type {!goog.soy.data.SanitizedContent|string} */

      var namespace = soy.asserts.assertType(goog.isString(opt_data.namespace) || opt_data.namespace instanceof goog.soy.data.SanitizedContent, 'namespace', opt_data.namespace, '!goog.soy.data.SanitizedContent|string');
      /** @type {!goog.soy.data.SanitizedContent|string} */

      var spritemap = soy.asserts.assertType(goog.isString(opt_data.spritemap) || opt_data.spritemap instanceof goog.soy.data.SanitizedContent, 'spritemap', opt_data.spritemap, '!goog.soy.data.SanitizedContent|string');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var _errorMessage = soy.asserts.assertType(opt_data._errorMessage == null || goog.isString(opt_data._errorMessage) || opt_data._errorMessage instanceof goog.soy.data.SanitizedContent, '_errorMessage', opt_data._errorMessage, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {*|null|undefined} */

      var _handleCancelButtonClick = opt_data._handleCancelButtonClick;
      /** @type {*|null|undefined} */

      var _handleFormSubmit = opt_data._handleFormSubmit;
      /** @type {*|null|undefined} */

      var _handleModalVisibleChanged = opt_data._handleModalVisibleChanged;
      /** @type {boolean|null|undefined} */

      var _loadingResponse = soy.asserts.assertType(opt_data._loadingResponse == null || goog.isBoolean(opt_data._loadingResponse) || opt_data._loadingResponse === 1 || opt_data._loadingResponse === 0, '_loadingResponse', opt_data._loadingResponse, 'boolean|null|undefined');
      /** @type {null|undefined|{message: (!goog.soy.data.SanitizedContent|string), style: (!goog.soy.data.SanitizedContent|string), title: (!goog.soy.data.SanitizedContent|string)}} */

      var alert = soy.asserts.assertType(opt_data.alert == null || goog.isObject(opt_data.alert), 'alert', opt_data.alert, 'null|undefined|{message: (!goog.soy.data.SanitizedContent|string), style: (!goog.soy.data.SanitizedContent|string), title: (!goog.soy.data.SanitizedContent|string)}');
      /** @type {function()|null|undefined} */

      var checkboxFieldLabel = soy.asserts.assertType(opt_data.checkboxFieldLabel == null || goog.isFunction(opt_data.checkboxFieldLabel), 'checkboxFieldLabel', opt_data.checkboxFieldLabel, 'function()|null|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var checkboxFieldName = soy.asserts.assertType(opt_data.checkboxFieldName == null || goog.isString(opt_data.checkboxFieldName) || opt_data.checkboxFieldName instanceof goog.soy.data.SanitizedContent, 'checkboxFieldName', opt_data.checkboxFieldName, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {boolean|null|undefined} */

      var checkboxFieldValue = soy.asserts.assertType(opt_data.checkboxFieldValue == null || goog.isBoolean(opt_data.checkboxFieldValue) || opt_data.checkboxFieldValue === 1 || opt_data.checkboxFieldValue === 0, 'checkboxFieldValue', opt_data.checkboxFieldValue, 'boolean|null|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var id = soy.asserts.assertType(opt_data.id == null || goog.isString(opt_data.id) || opt_data.id instanceof goog.soy.data.SanitizedContent, 'id', opt_data.id, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var idFieldName = soy.asserts.assertType(opt_data.idFieldName == null || goog.isString(opt_data.idFieldName) || opt_data.idFieldName instanceof goog.soy.data.SanitizedContent, 'idFieldName', opt_data.idFieldName, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var idFieldValue = soy.asserts.assertType(opt_data.idFieldValue == null || goog.isString(opt_data.idFieldValue) || opt_data.idFieldValue instanceof goog.soy.data.SanitizedContent, 'idFieldValue', opt_data.idFieldValue, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var mainFieldPlaceholder = soy.asserts.assertType(opt_data.mainFieldPlaceholder == null || goog.isString(opt_data.mainFieldPlaceholder) || opt_data.mainFieldPlaceholder instanceof goog.soy.data.SanitizedContent, 'mainFieldPlaceholder', opt_data.mainFieldPlaceholder, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var mainFieldValue = soy.asserts.assertType(opt_data.mainFieldValue == null || goog.isString(opt_data.mainFieldValue) || opt_data.mainFieldValue instanceof goog.soy.data.SanitizedContent, 'mainFieldValue', opt_data.mainFieldValue, '!goog.soy.data.SanitizedContent|null|string|undefined');
      incrementalDom.elementOpenStart('div');
      incrementalDom.attr('id', ($$temp = id) == null ? '' : $$temp);
      incrementalDom.elementOpenEnd();

      var param570 = function param570() {
        if (alert && alert.message && alert.title) {
          $templateAlias2({
            message: alert.message,
            spritemap: spritemap,
            style: alert.style,
            title: alert.title
          }, null, opt_ijData);
        }

        incrementalDom.elementOpenStart('form');
        incrementalDom.attr('action', formSubmitURL);
        incrementalDom.attr('data-onsubmit', _handleFormSubmit);
        incrementalDom.attr('method', 'post');
        incrementalDom.attr('ref', 'form');
        incrementalDom.elementOpenEnd();

        if (idFieldName) {
          incrementalDom.elementOpenStart('input');
          incrementalDom.attr('name', namespace + idFieldName);
          incrementalDom.attr('type', 'hidden');
          incrementalDom.attr('value', ($$temp = idFieldValue) == null ? '' : $$temp);
          incrementalDom.elementOpenEnd();
          incrementalDom.elementClose('input');
        }

        var mainFieldClasses__soy595 = '';
        mainFieldClasses__soy595 += 'form-group';
        mainFieldClasses__soy595 += _errorMessage ? ' has-error' : '';
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', mainFieldClasses__soy595);
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('label');
        incrementalDom.attr('for', namespace + mainFieldName);
        incrementalDom.elementOpenEnd();
        mainFieldLabel();
        incrementalDom.elementOpenStart('span');
        incrementalDom.attr('class', 'reference-mark');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('svg');
        incrementalDom.attr('class', 'lexicon-icon');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('use');
        incrementalDom.attr('xlink:href', spritemap + '#asterisk');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('use');
        incrementalDom.elementClose('svg');
        incrementalDom.elementClose('span');
        incrementalDom.elementClose('label');

        var mainFieldAttributes__soy611 = function mainFieldAttributes__soy611() {
          if (_loadingResponse) {
            incrementalDom.attr('disabled', '');
          }

          incrementalDom.attr('class', 'form-control');
          incrementalDom.attr('id', namespace + mainFieldName);
          incrementalDom.attr('name', namespace + mainFieldName);
          incrementalDom.attr('placeholder', ($$temp = mainFieldPlaceholder) == null ? '' : $$temp);
          incrementalDom.attr('ref', 'mainField');
          incrementalDom.attr('type', 'text');
          incrementalDom.attr('value', ($$temp = mainFieldValue) == null ? '' : $$temp);
        };

        incrementalDom.elementOpenStart('input');
        mainFieldAttributes__soy611();
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('input');

        if (_errorMessage) {
          incrementalDom.elementOpenStart('form');
          incrementalDom.attr('class', 'form-feedback-item');
          incrementalDom.elementOpenEnd();
          incrementalDom.elementOpenStart('span');
          incrementalDom.attr('class', 'form-feedback-indicator');
          incrementalDom.elementOpenEnd();
          incrementalDom.elementOpenStart('svg');
          incrementalDom.attr('class', 'lexicon-icon');
          incrementalDom.elementOpenEnd();
          incrementalDom.elementOpenStart('use');
          incrementalDom.attr('xlink:href', spritemap + '#exclamation-full');
          incrementalDom.elementOpenEnd();
          incrementalDom.elementClose('use');
          incrementalDom.elementClose('svg');
          incrementalDom.elementClose('span');
          soyIdom.print(_errorMessage);
          incrementalDom.elementClose('form');
        }

        incrementalDom.elementClose('div');

        if (checkboxFieldName && checkboxFieldLabel) {
          incrementalDom.elementOpenStart('div');
          incrementalDom.attr('class', 'form-check');
          incrementalDom.elementOpenEnd();
          incrementalDom.elementOpenStart('label');
          incrementalDom.attr('class', 'form-check-label');
          incrementalDom.elementOpenEnd();

          var checkboxFieldAttributes__soy641 = function checkboxFieldAttributes__soy641() {
            if (checkboxFieldValue) {
              incrementalDom.attr('checked', '');
            }

            if (_loadingResponse) {
              incrementalDom.attr('disabled', '');
            }

            incrementalDom.attr('class', 'form-check-input');
            incrementalDom.attr('name', namespace + checkboxFieldName);
            incrementalDom.attr('type', 'checkbox');
          };

          incrementalDom.elementOpenStart('input');
          checkboxFieldAttributes__soy641();
          incrementalDom.elementOpenEnd();
          incrementalDom.elementClose('input');
          incrementalDom.elementOpenStart('span');
          incrementalDom.attr('class', 'form-check-label-text');
          incrementalDom.elementOpenEnd();
          checkboxFieldLabel();
          incrementalDom.elementClose('span');
          incrementalDom.elementClose('label');
          incrementalDom.elementClose('div');
        }

        if (fixFormData) {
          incrementalDom.elementOpenStart('input');
          incrementalDom.attr('name', '__ie11_formdata_fix__');
          incrementalDom.attr('type', 'hidden');
          incrementalDom.elementOpenEnd();
          incrementalDom.elementClose('input');
        }

        incrementalDom.elementClose('form');
      };

      $templateAlias1({
        body: param570,
        dialogClasses: 'modal-dialog-sm',
        events: {
          visibleChanged: _handleModalVisibleChanged
        },
        footer: function param666() {

          incrementalDom.elementOpenStart('button');
          (function cancelButtonAttributes__soy668() {
            if (_loadingResponse) {
              incrementalDom.attr('disabled', '');
            }

            incrementalDom.attr('class', 'btn btn-secondary');
            incrementalDom.attr('data-onclick', _handleCancelButtonClick);
            incrementalDom.attr('type', 'button');
          })();
          incrementalDom.elementOpenEnd();
          /** @desc  */

          var MSG_EXTERNAL_503445309622982213 = Liferay.Language.get('cancel');
          incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_503445309622982213));
          incrementalDom.elementClose('button');

          incrementalDom.elementOpenStart('button');
          (function submitButtonAttributes__soy683() {
            if (_loadingResponse) {
              incrementalDom.attr('disabled', '');
            }

            incrementalDom.attr('class', 'btn btn-primary');
            incrementalDom.attr('data-onclick', _handleFormSubmit);
          })();
          incrementalDom.elementOpenEnd();

          if (_loadingResponse) {
            incrementalDom.elementOpenStart('span');
            incrementalDom.attr('class', 'inline-item inline-item-before');
            incrementalDom.elementOpenEnd();
            incrementalDom.elementOpenStart('span');
            incrementalDom.attr('aria-hidden', 'true');
            incrementalDom.attr('class', 'loading-animation');
            incrementalDom.elementOpenEnd();
            incrementalDom.elementClose('span');
            incrementalDom.elementClose('span');
          }
          /** @desc  */

          var MSG_EXTERNAL_8640257554156088424 = Liferay.Language.get('save');
          incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_8640257554156088424));
          incrementalDom.elementClose('button');
        },
        header: function param702() {
          soyIdom.print(dialogTitle);
        },
        ref: 'modal',
        spritemap: spritemap
      }, null, opt_ijData);
      incrementalDom.elementClose('div');
    }

    exports.render = $render;
    /**
     * @typedef {{
     *  dialogTitle: (!goog.soy.data.SanitizedContent|string),
     *  fixFormData: boolean,
     *  formSubmitURL: (!goog.soy.data.SanitizedContent|string),
     *  mainFieldLabel: function(),
     *  mainFieldName: (!goog.soy.data.SanitizedContent|string),
     *  namespace: (!goog.soy.data.SanitizedContent|string),
     *  spritemap: (!goog.soy.data.SanitizedContent|string),
     *  _errorMessage: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  _handleCancelButtonClick: (*|null|undefined),
     *  _handleFormSubmit: (*|null|undefined),
     *  _handleModalVisibleChanged: (*|null|undefined),
     *  _loadingResponse: (boolean|null|undefined),
     *  alert: (null|undefined|{message: (!goog.soy.data.SanitizedContent|string), style: (!goog.soy.data.SanitizedContent|string), title: (!goog.soy.data.SanitizedContent|string)}),
     *  checkboxFieldLabel: (function()|null|undefined),
     *  checkboxFieldName: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  checkboxFieldValue: (boolean|null|undefined),
     *  id: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  idFieldName: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  idFieldValue: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  mainFieldPlaceholder: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  mainFieldValue: (!goog.soy.data.SanitizedContent|null|string|undefined)
     * }}
     */

    $render.Params;

    if (goog.DEBUG) {
      $render.soyTemplateName = 'liferay.frontend.SimpleInputModal.render';
    }

    exports.render.params = ["dialogTitle", "fixFormData", "formSubmitURL", "mainFieldLabel", "mainFieldName", "namespace", "spritemap", "_errorMessage", "_handleCancelButtonClick", "_handleFormSubmit", "_handleModalVisibleChanged", "_loadingResponse", "alert", "checkboxFieldLabel", "checkboxFieldName", "checkboxFieldValue", "id", "idFieldName", "idFieldValue", "mainFieldPlaceholder", "mainFieldValue"];
    exports.render.types = {
      "dialogTitle": "string",
      "fixFormData": "bool",
      "formSubmitURL": "string",
      "mainFieldLabel": "html",
      "mainFieldName": "string",
      "namespace": "string",
      "spritemap": "string",
      "_errorMessage": "string",
      "_handleCancelButtonClick": "any",
      "_handleFormSubmit": "any",
      "_handleModalVisibleChanged": "any",
      "_loadingResponse": "bool",
      "alert": "[\n\t\tmessage: string,\n\t\tstyle: string,\n\t\ttitle: string\n\t]",
      "checkboxFieldLabel": "html",
      "checkboxFieldName": "string",
      "checkboxFieldValue": "bool",
      "id": "string",
      "idFieldName": "string",
      "idFieldValue": "string",
      "mainFieldPlaceholder": "string",
      "mainFieldValue": "string"
    };
    exports.templates = templates = exports;
    return exports;
  });

  var liferayfrontendSimpleInputModal = /*#__PURE__*/function (_Component) {
    _inherits(liferayfrontendSimpleInputModal, _Component);

    function liferayfrontendSimpleInputModal() {
      _classCallCheck(this, liferayfrontendSimpleInputModal);

      return _possibleConstructorReturn(this, _getPrototypeOf(liferayfrontendSimpleInputModal).apply(this, arguments));
    }

    return liferayfrontendSimpleInputModal;
  }(_metalComponent["default"]);

  exports.liferayfrontendSimpleInputModal = liferayfrontendSimpleInputModal;

  _metalSoy["default"].register(liferayfrontendSimpleInputModal, templates);

  var _default = templates;
  /* jshint ignore:end */

  exports["default"] = _default;
  //# sourceMappingURL=SimpleInputModal.soy.js.map
});
//# sourceMappingURL=SimpleInputModal.soy.js.map