Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/actions/updateActiveItem.es", ['module', 'exports', 'require', './actions.es'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.updateActiveItemAction = updateActiveItemAction;

  var _actions = require("./actions.es");

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */

  /**
   * Updates the active item
   * @param {string} activeItemId
   * @param {string} activeItemType
   * @param {object} [options={}]
   * @param {boolean} [options.appendItem=false]
   */
  function updateActiveItemAction(activeItemId, activeItemType) {
    var _ref = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {},
        _ref$appendItem = _ref.appendItem,
        appendItem = _ref$appendItem === void 0 ? false : _ref$appendItem;

    return {
      activeItemId: activeItemId,
      activeItemType: activeItemType,
      appendItem: appendItem,
      type: _actions.UPDATE_ACTIVE_ITEM
    };
  }
  //# sourceMappingURL=updateActiveItem.es.js.map
});
//# sourceMappingURL=updateActiveItem.es.js.map