Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/actions/updateFragmentEntryLinkComment.es", ['module', 'exports', 'require', './actions.es'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.updateFragmentEntryLinkCommentAction = void 0;

  var _actions = require("./actions.es");

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */

  /**
   * Adds/updates a given comment
   * @param {string} fragmentEntryLinkId
   * @param {object} comment
   */
  var updateFragmentEntryLinkCommentAction = function updateFragmentEntryLinkCommentAction(fragmentEntryLinkId, comment) {
    return {
      comment: comment,
      fragmentEntryLinkId: fragmentEntryLinkId,
      type: _actions.UPDATE_FRAGMENT_ENTRY_LINK_COMMENT
    };
  };

  exports.updateFragmentEntryLinkCommentAction = updateFragmentEntryLinkCommentAction;
  //# sourceMappingURL=updateFragmentEntryLinkComment.es.js.map
});
//# sourceMappingURL=updateFragmentEntryLinkComment.es.js.map