Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/actions/updateFragmentSearchOptions.es", ['module', 'exports', 'require', './actions.es', './saveChanges.es', './updatePageEditorLayoutData.es'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.updateFragmentSearchOptions = updateFragmentSearchOptions;

  var _actions = require("./actions.es");

  var _saveChanges = require("./saveChanges.es");

  var _updatePageEditorLayoutData = require("./updatePageEditorLayoutData.es");

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */
  function updateFragmentSearchOptions(fragmentEntryLinkId, nonIndexable) {
    return function (dispatch) {
      dispatch((0, _saveChanges.enableSavingChangesStatusAction)());
      dispatch(updateFragmentSearchOptionsConfig(fragmentEntryLinkId, nonIndexable));
      dispatch((0, _updatePageEditorLayoutData.updatePageEditorLayoutDataAction)());
      dispatch((0, _saveChanges.updateLastSaveDateAction)());
      dispatch((0, _saveChanges.disableSavingChangesStatusAction)());
    };
  }

  function updateFragmentSearchOptionsConfig(fragmentEntryLinkId, nonIndexable) {
    return {
      fragmentEntryLinkId: fragmentEntryLinkId,
      nonIndexable: nonIndexable,
      type: _actions.UPDATE_FRAGMENT_ENTRY_LINK_SEARCH_OPTIONS
    };
  }
  //# sourceMappingURL=updateFragmentSearchOptions.es.js.map
});
//# sourceMappingURL=updateFragmentSearchOptions.es.js.map