Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/components/floating_toolbar/fragment_search/FloatingToolbarFragmentSearchPanel.es", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy', 'frontend-js-metal-web$metal-state', './FloatingToolbarFragmentSearchPanelDelegateTemplate.soy', '../../../actions/updateFragmentSearchOptions.es', '../../../store/ConnectedComponent.es', '../../../utils/FragmentsEditorUpdateUtils.es', './FloatingToolbarFragmentSearchPanel.soy'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = exports.FloatingToolbarFragmentSearchPanel = void 0;

  var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

  var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

  var _metalState = require("frontend-js-metal-web$metal-state");

  require("./FloatingToolbarFragmentSearchPanelDelegateTemplate.soy");

  var _updateFragmentSearchOptions = require("../../../actions/updateFragmentSearchOptions.es");

  var _ConnectedComponent = _interopRequireDefault(require("../../../store/ConnectedComponent.es"));

  var _FragmentsEditorUpdateUtils = require("../../../utils/FragmentsEditorUpdateUtils.es");

  var _FloatingToolbarFragmentSearchPanel = _interopRequireDefault(require("./FloatingToolbarFragmentSearchPanel.soy"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  function _typeof(obj) {
    "@babel/helpers - typeof";
    if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
      _typeof = function _typeof(obj) {
        return typeof obj;
      };
    } else {
      _typeof = function _typeof(obj) {
        return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
      };
    }return _typeof(obj);
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  function _createClass(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
  }

  function _possibleConstructorReturn(self, call) {
    if (call && (_typeof(call) === "object" || typeof call === "function")) {
      return call;
    }return _assertThisInitialized(self);
  }

  function _assertThisInitialized(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }return self;
  }

  function _getPrototypeOf(o) {
    _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };return _getPrototypeOf(o);
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;return o;
    };return _setPrototypeOf(o, p);
  }

  /**
   * FloatingToolbarFragmentSearchPanel
   */
  var FloatingToolbarFragmentSearchPanel = /*#__PURE__*/function (_Component) {
    _inherits(FloatingToolbarFragmentSearchPanel, _Component);

    function FloatingToolbarFragmentSearchPanel() {
      _classCallCheck(this, FloatingToolbarFragmentSearchPanel);

      return _possibleConstructorReturn(this, _getPrototypeOf(FloatingToolbarFragmentSearchPanel).apply(this, arguments));
    }

    _createClass(FloatingToolbarFragmentSearchPanel, [{
      key: "prepareStateForRender",

      /**
       * @inheritDoc
       */
      value: function prepareStateForRender(state) {
        var nextState = state;
        nextState = (0, _FragmentsEditorUpdateUtils.setIn)(nextState, ['_checked'], !!(this.layoutData.nonIndexableFragmentEntryLinkIds && this.layoutData.nonIndexableFragmentEntryLinkIds.indexOf(this.item.fragmentEntryLinkId) !== -1));
        return nextState;
      }
      /**
       * Handle fragment nonIndexable option change
       * @param {Event} event
       */

    }, {
      key: "_handleFragmentNonIndexableOptionChange",
      value: function _handleFragmentNonIndexableOptionChange(event) {
        this.store.dispatch((0, _updateFragmentSearchOptions.updateFragmentSearchOptions)(this.item.fragmentEntryLinkId, event.target.checked));
      }
      /**
       * Handle fragment nonIndexable checkbox mousedown
       * @param {Event} event
       */

    }, {
      key: "_handleFragmentNonIndexableOptionMousedown",
      value: function _handleFragmentNonIndexableOptionMousedown(event) {
        event.preventDefault();
      }
    }]);

    return FloatingToolbarFragmentSearchPanel;
  }(_metalComponent["default"]);
  /**
   * State definition.
   * @review
   * @static
   * @type {!Object}
   */

  exports.FloatingToolbarFragmentSearchPanel = FloatingToolbarFragmentSearchPanel;
  FloatingToolbarFragmentSearchPanel.STATE = {
    /**
     * @default undefined
     * @memberof FloatingToolbarFragmentSearchPanel
     * @review
     * @type {!object}
     */
    item: _metalState.Config.object().required()
  };
  var ConnectedFloatingToolbarFragmentSearchPanel = (0, _ConnectedComponent["default"])(FloatingToolbarFragmentSearchPanel, ['layoutData', 'spritemap']);

  _metalSoy["default"].register(ConnectedFloatingToolbarFragmentSearchPanel, _FloatingToolbarFragmentSearchPanel["default"]);

  var _default = FloatingToolbarFragmentSearchPanel;
  exports["default"] = _default;
  //# sourceMappingURL=FloatingToolbarFragmentSearchPanel.es.js.map
});
//# sourceMappingURL=FloatingToolbarFragmentSearchPanel.es.js.map