Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/components/sidebar/comments/CommentForm.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../../common/Button.es', '../../common/Editor.es', '../../common/InvisibleFieldset.es'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = exports.CommentForm = void 0;

  var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

  var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

  var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

  var _Button = _interopRequireDefault(require("../../common/Button.es"));

  var _Editor = _interopRequireDefault(require("../../common/Editor.es"));

  var _InvisibleFieldset = _interopRequireDefault(require("../../common/InvisibleFieldset.es"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */
  var CommentForm = function CommentForm(props) {
    return _react["default"].createElement("form", {
      onFocus: props.onFormFocus
    }, _react["default"].createElement(_InvisibleFieldset["default"], {
      disabled: props.loading
    }, _react["default"].createElement("div", {
      className: "form-group form-group-sm"
    }, _react["default"].createElement("label", {
      className: "sr-only",
      htmlFor: props.id
    }, Liferay.Language.get('add-comment')), _react["default"].createElement(_Editor["default"], {
      autoFocus: props.autoFocus,
      id: props.id,
      initialValue: props.textareaContent,
      onChange: props.onTextareaChange,
      placeholder: Liferay.Language.get('type-your-comment-here')
    })), props.showButtons && _react["default"].createElement(_button["default"].Group, {
      className: "mb-3",
      spaced: true
    }, _react["default"].createElement(_Button["default"], {
      disabled: !props.textareaContent,
      displayType: "primary",
      loading: props.loading,
      onClick: props.onSubmitButtonClick,
      small: true
    }, props.submitButtonLabel), _react["default"].createElement(_Button["default"], {
      displayType: "secondary",
      onClick: props.onCancelButtonClick,
      small: true,
      type: "button"
    }, Liferay.Language.get('cancel')))));
  };

  exports.CommentForm = CommentForm;
  CommentForm.defaultProps = {
    autoFocus: false,
    loading: false,
    onFormFocus: function onFormFocus() {},
    showButtons: false
  };
  var _default = CommentForm;
  exports["default"] = _default;
  //# sourceMappingURL=CommentForm.es.js.map
});
//# sourceMappingURL=CommentForm.es.js.map