Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/components/sidebar/comments/SidebarComments.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../../store/hooks/useSelector.es', '../../../utils/FragmentsEditorGetUtils.es', '../../../utils/constants', './FragmentComments.es', './FragmentEntryLinksWithComments.es'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = exports.SidebarComments = void 0;

  var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

  var _useSelector = _interopRequireDefault(require("../../../store/hooks/useSelector.es"));

  var _FragmentsEditorGetUtils = require("../../../utils/FragmentsEditorGetUtils.es");

  var _constants = require("../../../utils/constants");

  var _FragmentComments = require("./FragmentComments.es");

  var _FragmentEntryLinksWithComments = require("./FragmentEntryLinksWithComments.es");

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */
  var SidebarComments = function SidebarComments() {
    var activeItemId = (0, _useSelector["default"])(function (state) {
      return state.activeItemId;
    });
    var activeItemType = (0, _useSelector["default"])(function (state) {
      return state.activeItemType;
    });
    var structure = (0, _useSelector["default"])(function (state) {
      return state.layoutData.structure;
    });
    var activeFragmentEntryLink = (0, _FragmentsEditorGetUtils.getItemPath)(activeItemId, activeItemType, structure).find(function (activeItem) {
      return activeItem.itemType === _constants.FRAGMENTS_EDITOR_ITEM_TYPES.fragment;
    });
    var fragmentEntryLink = (0, _useSelector["default"])(function (state) {
      return activeFragmentEntryLink ? state.fragmentEntryLinks[activeFragmentEntryLink.itemId] : null;
    });

    if (fragmentEntryLink) {
      return _react["default"].createElement(_FragmentComments.FragmentComments, {
        fragmentEntryLink: fragmentEntryLink
      });
    }

    return _react["default"].createElement(_FragmentEntryLinksWithComments.FragmentEntryLinksWithComments, null);
  };

  exports.SidebarComments = SidebarComments;
  var _default = SidebarComments;
  exports["default"] = _default;
  //# sourceMappingURL=SidebarComments.es.js.map
});
//# sourceMappingURL=SidebarComments.es.js.map