Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/components/sidebar/page_content/SidebarPageContents.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../../store/hooks/useSelector.es', '../SidebarHeader.es', './NoPageContents.es', './PageContents.es'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = exports.SidebarPageContents = void 0;

  var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

  var _useSelector = _interopRequireDefault(require("../../../store/hooks/useSelector.es"));

  var _SidebarHeader = _interopRequireDefault(require("../SidebarHeader.es"));

  var _NoPageContents = require("./NoPageContents.es");

  var _PageContents = require("./PageContents.es");

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */
  var SidebarPageContents = function SidebarPageContents() {
    var pageContents = (0, _useSelector["default"])(function (state) {
      return state.pageContents;
    });

    var view = _react["default"].createElement(_NoPageContents.NoPageContents, null);

    if (pageContents.length) {
      view = _react["default"].createElement(_PageContents.PageContents, {
        pageContents: pageContents
      });
    }

    return _react["default"].createElement(_react["default"].Fragment, null, _react["default"].createElement(_SidebarHeader["default"], null, Liferay.Language.get('contents')), view);
  };

  exports.SidebarPageContents = SidebarPageContents;
  var _default = SidebarPageContents;
  exports["default"] = _default;
  //# sourceMappingURL=SidebarPageContents.es.js.map
});
//# sourceMappingURL=SidebarPageContents.es.js.map