Liferay.Loader.define("layout-admin-web@3.0.125/js/miller_columns/LayoutBreadcrumbs.soy", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = exports.templates = exports.comliferaylayoutadminwebLayoutBreadcrumbs = void 0;

  var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

  var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  function _typeof(obj) {
    "@babel/helpers - typeof";
    if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
      _typeof = function _typeof(obj) {
        return typeof obj;
      };
    } else {
      _typeof = function _typeof(obj) {
        return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
      };
    }return _typeof(obj);
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _possibleConstructorReturn(self, call) {
    if (call && (_typeof(call) === "object" || typeof call === "function")) {
      return call;
    }return _assertThisInitialized(self);
  }

  function _assertThisInitialized(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }return self;
  }

  function _getPrototypeOf(o) {
    _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };return _getPrototypeOf(o);
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;return o;
    };return _setPrototypeOf(o, p);
  }

  var templates;
  exports.templates = templates;
  goog.loadModule(function (exports) {
    var soy = goog.require('soy');

    goog.require('soydata');

    // This file was automatically generated from LayoutBreadcrumbs.soy.
    // Please don't edit this file by hand.

    /**
     * @fileoverview Templates in namespace com.liferay.layout.admin.web.LayoutBreadcrumbs.
     * @public
     */

    goog.module('com.liferay.layout.admin.web.LayoutBreadcrumbs.incrementaldom');

    goog.require('goog.soy.data.SanitizedContent');

    var incrementalDom = goog.require('incrementaldom');

    goog.require('soy.asserts');

    var soyIdom = goog.require('soy.idom');
    /**
     * @param {{
     *  breadcrumbEntries: !Array<{title: (!goog.soy.data.SanitizedContent|string), url: (!goog.soy.data.SanitizedContent|string)}>
     * }} opt_data
     * @param {Object<string, *>=} opt_ijData
     * @param {Object<string, *>=} opt_ijData_deprecated
     * @return {void}
     * @suppress {checkTypes}
     */

    function $render(opt_data, opt_ijData, opt_ijData_deprecated) {
      opt_ijData = opt_ijData_deprecated || opt_ijData;
      /** @type {!Array<{title: (!goog.soy.data.SanitizedContent|string), url: (!goog.soy.data.SanitizedContent|string)}>} */

      var breadcrumbEntries = soy.asserts.assertType(goog.isArray(opt_data.breadcrumbEntries), 'breadcrumbEntries', opt_data.breadcrumbEntries, '!Array<{title: (!goog.soy.data.SanitizedContent|string), url: (!goog.soy.data.SanitizedContent|string)}>');
      incrementalDom.elementOpenStart('ol');
      incrementalDom.attr('class', 'breadcrumb');
      incrementalDom.elementOpenEnd();
      var breadcrumbEntry70List = breadcrumbEntries;
      var breadcrumbEntry70ListLen = breadcrumbEntry70List.length;

      for (var breadcrumbEntry70Index = 0; breadcrumbEntry70Index < breadcrumbEntry70ListLen; breadcrumbEntry70Index++) {
        var breadcrumbEntry70Data = breadcrumbEntry70List[breadcrumbEntry70Index];

        if (breadcrumbEntry70Index == breadcrumbEntry70ListLen - 1) {
          incrementalDom.elementOpenStart('li');
          incrementalDom.attr('class', 'active breadcrumb-item');
          incrementalDom.elementOpenEnd();
          incrementalDom.elementOpenStart('span');
          incrementalDom.attr('class', 'breadcrumb-text-truncate');
          incrementalDom.elementOpenEnd();
          soyIdom.print(breadcrumbEntry70Data.title);
          incrementalDom.elementClose('span');
          incrementalDom.elementClose('li');
        } else {
          incrementalDom.elementOpenStart('li');
          incrementalDom.attr('class', 'breadcrumb-item');
          incrementalDom.elementOpenEnd();
          incrementalDom.elementOpenStart('a');
          incrementalDom.attr('class', 'breadcrumb-link');
          incrementalDom.attr('href', breadcrumbEntry70Data.url);
          incrementalDom.elementOpenEnd();
          incrementalDom.elementOpenStart('span');
          incrementalDom.attr('class', 'breadcrumb-text-truncate');
          incrementalDom.elementOpenEnd();
          soyIdom.print(breadcrumbEntry70Data.title);
          incrementalDom.elementClose('span');
          incrementalDom.elementClose('a');
          incrementalDom.elementClose('li');
        }
      }

      incrementalDom.elementClose('ol');
    }

    exports.render = $render;
    /**
     * @typedef {{
     *  breadcrumbEntries: !Array<{title: (!goog.soy.data.SanitizedContent|string), url: (!goog.soy.data.SanitizedContent|string)}>
     * }}
     */

    $render.Params;

    if (goog.DEBUG) {
      $render.soyTemplateName = 'com.liferay.layout.admin.web.LayoutBreadcrumbs.render';
    }

    exports.render.params = ["breadcrumbEntries"];
    exports.render.types = {
      "breadcrumbEntries": "list<[\n\t\ttitle: string,\n\t\turl: string\n\t]>"
    };
    exports.templates = templates = exports;
    return exports;
  });

  var comliferaylayoutadminwebLayoutBreadcrumbs = /*#__PURE__*/function (_Component) {
    _inherits(comliferaylayoutadminwebLayoutBreadcrumbs, _Component);

    function comliferaylayoutadminwebLayoutBreadcrumbs() {
      _classCallCheck(this, comliferaylayoutadminwebLayoutBreadcrumbs);

      return _possibleConstructorReturn(this, _getPrototypeOf(comliferaylayoutadminwebLayoutBreadcrumbs).apply(this, arguments));
    }

    return comliferaylayoutadminwebLayoutBreadcrumbs;
  }(_metalComponent["default"]);

  exports.comliferaylayoutadminwebLayoutBreadcrumbs = comliferaylayoutadminwebLayoutBreadcrumbs;

  _metalSoy["default"].register(comliferaylayoutadminwebLayoutBreadcrumbs, templates);

  var _default = templates;
  /* jshint ignore:end */

  exports["default"] = _default;
  //# sourceMappingURL=LayoutBreadcrumbs.soy.js.map
});
//# sourceMappingURL=LayoutBreadcrumbs.soy.js.map