Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/store/hooks/useGetComments.es", ['module', 'exports', 'require', './useSelector.es'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.useGetComments = useGetComments;
  exports["default"] = void 0;

  var _useSelector = _interopRequireDefault(require("./useSelector.es"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */
  function useGetComments() {
    var showResolvedComments = (0, _useSelector["default"])(function (state) {
      return state.showResolvedComments;
    });
    return function (fragmentEntryLink) {
      return (fragmentEntryLink.comments || []).filter(function (comment) {
        return showResolvedComments || !comment.resolved;
      });
    };
  }

  var _default = useGetComments;
  exports["default"] = _default;
  //# sourceMappingURL=useGetComments.es.js.map
});
//# sourceMappingURL=useGetComments.es.js.map